#include "mainwindow.h"
#include "ui_mainwindow.h"
#include "math.h"
#include <qdebug.h>

MainWindow::MainWindow(QWidget *parent) :
    QMainWindow(parent),
    ui(new Ui::MainWindow)
{
    ui->setupUi(this);
}

MainWindow::~MainWindow()
{
    delete ui;
}

void MainWindow::on_pushButton_clicked()
{
        double cx0 = 75;
        double cy0 = 75;
        double radius0 = 17.5;
        double cx1 = 100;
        double cy1 = 50;
        double radius1 = 27;


        //out PointF intersection1, out PointF intersection2)

        // Find the distance between the centers.
        double dx = cx0 - cx1;
        double dy = cy0 - cy1;
        double dist = sqrt(dx * dx + dy * dy);

        // See how many solutions there are.
        if (dist > radius0 + radius1)
        {
            qDebug() << "No solution";
        }
        else if (dist < abs(radius0 - radius1))
        {
            qDebug() << "No solutions, one circle contains the other";
        }
        else if ((dist == 0) && (radius0 == radius1))
        {
           qDebug() << "No solutions, the circles coincide";
        }
        else
        {
            // Find a and h.
            double a = (radius0 * radius0 -
                radius1 * radius1 + dist * dist) / (2 * dist);
            double h = sqrt(radius0 * radius0 - a * a);

            // Find P2.
            double cx2 = cx0 + a * (cx1 - cx0) / dist;
            double cy2 = cy0 + a * (cy1 - cy0) / dist;

            // Get the points P3.
            double intersection_x1((cx2 + h * (cy1 - cy0) / dist));
            double intersection_y1((cy2 - h * (cx1 - cx0) / dist));

            double intersection_x2 = (cx2 - h * (cy1 - cy0) / dist);
            double intersection_y2 = ((cy2 + h * (cx1 - cx0) / dist));

                qDebug() << "intersection x1 : " << intersection_x1 << " y1 : " << intersection_y1;
                qDebug() << "intersection x2 : " << intersection_x2 << " y2 : " << intersection_y2;

        }



}

















